name: Red Hat JBoss Developer Studio
abbreviated_name: JBoss Developer Studio
product_logo: developer-studio.png
current_version: 10.2.0.GA
product_category: application-development
intro_video: https://vimeo.com/95444954
vimeo_album: http://vimeo.com/album/2982449
youtube_album: https://www.youtube.com/playlist?list=PLf3vm0UK6HKrxJ9OtX2Zmgw3nyeYs0QGR
buzz_tags:
  - jbds
  - JBoss DevStudio
index:
  desc: |
    An Eclipse-based IDE to create apps for web, mobile, transactional enterprise, and SOA-based integration apps/services.
customer_portal_download_url: https://access.redhat.com/jbossnetwork/restricted/listSoftware.html?product=jbossdeveloperstudio&downloadType=distributions
guides:
  Release_Notes_and_Known_Issues:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/paged/release-notes/
      html-single:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/single/release-notes/
      pdf:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Release_Notes-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Release_Notes-en-US.pdf
      epub:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Release_Notes-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Release_Notes-en-US.epub
  Supported_Configurations_and_Components:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/paged/supported-configurations-and-components/
      html-single:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/single/supported-configurations-and-components/
      pdf:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Components_and_Supported_Configurations-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Components_and_Supported_Configurations-en-US.pdf
      epub:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Components_and_Supported_Configurations-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Components_and_Supported_Configurations-en-US.epub
  Red_Hat_JBoss_Developer_Studio_Installation_Guide:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/paged/installation-guide/
      html-single:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/single/installation-guide/
      pdf:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Installation_Guide-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Installation_Guide-en-US.pdf
      epub:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Installation_Guide-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Installation_Guide-en-US.epub
  Getting_Started_with_Container_and_Cloud-based_Development:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/paged/getting-started-with-container-and-cloud-based-development/
      html-single:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/single/getting-started-with-container-and-cloud-based-development/
      pdf:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_Container_and_Cloud-based_Development-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_Container_and_Cloud-based_Development-en-US.pdf
      epub:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_Container_and_Cloud-based_Development-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_Container_and_Cloud-based_Development-en-US.epub
  Getting_Started_with_JBoss_Developer_Studio_Tools:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/paged/getting-started-with-jboss-developer-studio-tools/
      html-single:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/10.2/single/getting-started-with-jboss-developer-studio-tools/
      pdf:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_JBoss_Developer_Studio_Tools-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_JBoss_Developer_Studio_Tools-en-US.pdf
      epub:
        url: https://access.redhat.com/webassets/avalon/d/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_JBoss_Developer_Studio_Tools-en-US/Red_Hat_JBoss_Developer_Studio-10.2-Getting_Started_with_JBoss_Developer_Studio_Tools-en-US.epub
  Get_Started_with_our_TicketMonster_Tutorial:
    formats:
      html:
        url: http://www.jboss.org/ticket-monster/
  Red_Hat_JBoss_Developer_Studio_Integration_Stack_Tooling_Documentation:
    formats:
      html:
        url: https://access.redhat.com/documentation/en/red-hat-jboss-developer-studio/?category=red%2520hat%2520jboss%2520developer%2520studio%2520integration%2520stack%2520tooling%2520documentation&version=10.0
default_download_artifact_type: jar_universal
description: 'A development environment with superior support for your entire development lifecycle.'
upstream_projects:
  - jbosstools
featured_items:
  - image_url: http://design.jboss.org/jbossdeveloper/sitedesign/jbossdeveloper_1_0/makerfiles/images/developermaterials_devstudio.png
    url: /video/vimeo/92554627
evaluation: https://access.redhat.com/products/red-hat-jboss-developer-studio/evaluation
